Package org.xnio

# Enum FileAccess

java.lang.Object
java.lang.Enum<FileAccess>
org.xnio.FileAccess

All Implemented Interfaces:
  `Serializable`, `Comparable<FileAccess>`, `java.lang.constant.Constable`

public enum FileAccess extends Enum<FileAccess>
Possible file access modes.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`READ_ONLY`
`READ_WRITE`
`WRITE_ONLY`

## Method Summary

Modifier and Type
Method
Description
`static FileAccess`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileAccess[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ_ONLY

public static final FileAccess READ_ONLY

### READ_WRITE

public static final FileAccess READ_WRITE

### WRITE_ONLY

public static final FileAccess WRITE_ONLY

## Method Details

### values

public static FileAccess[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FileAccess valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null